Skip to main content
PATCH
Move bookmark
Required scope: write

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Organization slug

Minimum string length: 1
repo
string
required

Repository name

Minimum string length: 1
bookmark
string
required
Minimum string length: 1

Body

application/json
change_id
string
required

Change to move the bookmark to. This may be the virtual root change id (zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz).

Pattern: ^[zyxwvutsrqponmlk]{32}$
allow_backwards
boolean
default:false

Allow moving the bookmark backwards or sideways. Defaults to false.

Response

Bookmark moved

name
string
required
change_id
string
required

Change id the bookmark points to. When a bookmark points at the empty tree this is the virtual root change id (zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz).

Pattern: ^[zyxwvutsrqponmlk]{32}$
is_default
boolean
required
from_change_id
string | null
required
Pattern: ^[zyxwvutsrqponmlk]{32}$